#!/bin/bash
## Το NoTails.. Tails Μενού στα Ελληνικά είναι ένα αρθρωτό (modular) Zenity
## σενάριο (script) ανοιχτού κώδικα (open source) για το Tails OS Live USB.
##
## Copyright (C) 2025  Rebelstreamers, version 1.0 από το gamelink.gr
##
## Το πρόγραμμα αυτό μεταφέρεται σε εσάς "AS IS" και χωρίς καμία υποχρέωση από 
## τον δημιουργό του και καλύπτεται απο την AGPLv3 GNU άδεια έκδοσης.


# ΟΙ 2 ΜΕΤΑΒΛΗΤΕΣ ΜΑΣ
our_user="$(whoami)"
dektop_file="NoTails-Tails-Μενού.desktop"


echo -ne "\r\n Δημιουργώ το Desktop entry για τον χρήστη $our_user \n"


ektelesi_entolwn_antigrafis(){
    if ! $(cp -f "$HOME/Persistent/NoTails..Tails-Files/$dektop_file" "$HOME/.local/share/applications/") ;then
    	return 1
    fi
    sleep 1
    if ! $(chown ""$our_user":"$our_user"" "$HOME/.local/share/applications/$dektop_file"); then
    	return 2
    fi
    sleep 1
    if ! $(sed -i -e 's/amnesia/'"$our_user"'/g' "$HOME/.local/share/applications/$dektop_file"); then
    	return 3
    fi
    sleep 1
    if ! $(chmod a+x "$HOME/.local/share/applications/$dektop_file"); then
    	return 4
    fi
}

elegxos_fakelou(){
	# δεν καταστρέφει ή δεν δημιουργεί νέο φάκελο με την -p παράμετρο
    mkdir -p $HOME/.local/share/applications
}

# αρχικά και κοινό για όλα τα desktop files
elegxos_fakelou

# και η εκτέλεση των εντολών
ektelesi_entolwn_antigrafis

if [[ "$?" == "0" ]]; then
	echo -ne "\r\n Όλες οι εντολές της συνάρτησης εκτελέστηκαν επιτυχώς και \n
 την συντόμευση για την εφαρμογή θα την βρείτε στο υπομενού Other. \n\n"
else
	echo -ne "\r\n Δεν μπόρεσα να εκτελέσω μια ή περισσότερες εντολές της ektelesi_entolwn_antigrafis \n
 συνάρτησης! Το ανώτερω μήνυμα περιέχει και το πρόβλημα στο σημείο που εμφανίστηκε. \n\n"
fi
read -p "Πατήστε ενα κουμπί για να κλείσει το script ... "

